Last Comment Bug 737821 - [Firefox] Files which are already bundled with xulrunner are listed in package-manifest.
: [Firefox] Files which are already bundled with xulrunner are listed in packag...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: Firefox 15
Assigned To: Takanori MATSUURA
:
Mentors:
Depends on:
Blocks: 713132 749114
  Show dependency treegraph
 
Reported: 2012-03-21 05:57 PDT by Takanori MATSUURA
Modified: 2012-05-08 08:35 PDT (History)
7 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Exclude listing up files which are already bundled with xulrunner (12.98 KB, patch)
2012-04-22 10:44 PDT, Takanori MATSUURA
ted: review-
Details | Diff | Review
Only warning for files which are already bundled with xulrunner. (831 bytes, patch)
2012-04-22 16:27 PDT, Takanori MATSUURA
ted: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Takanori MATSUURA 2012-03-21 05:57:44 PDT
When Firefox is built on top of xulrunner, files which are bundled with xulrunner is listed in package-manifest.

$ grep "Error:" build.log
Error: package error or possible missing or unnecessary file: bin/dependentlibs.list (package-manifest, 31).
Error: package error or possible missing or unnecessary file: bin/libmozalloc.so (package-manifest, 32).
Error: package error or possible missing or unnecessary file: bin/libnspr4.so (package-manifest, 33).
Error: package error or possible missing or unnecessary file: bin/libplc4.so (package-manifest, 34).
Error: package error or possible missing or unnecessary file: bin/libplds4.so (package-manifest, 35).
Error: package error or possible missing or unnecessary file: bin/libxpcom.so (package-manifest, 36).
Error: package error or possible missing or unnecessary file: bin/libxul.so (package-manifest, 37).
Error: package error or possible missing or unnecessary file: bin/plugin-container (package-manifest, 38).
Error: package error or possible missing or unnecessary file: bin/firefox-bin (package-manifest, 42).
Error: package error or possible missing or unnecessary file: bin/platform.ini (package-manifest, 46).
Error: package error or possible missing or unnecessary file: bin/libmozsqlite3.so (package-manifest, 47).
Error: package error or possible missing or unnecessary file: bin/mozilla-xremote-client (package-manifest, 50).
Error: package error or possible missing or unnecessary file: bin/components/alerts.xpt (package-manifest, 54).
Error: package error or possible missing or unnecessary file: bin/components/accessibility.xpt (package-manifest, 55).
Error: package error or possible missing or unnecessary file: bin/components/appshell.xpt (package-manifest, 56).
Error: package error or possible missing or unnecessary file: bin/components/appstartup.xpt (package-manifest, 57).
Error: package error or possible missing or unnecessary file: bin/components/autocomplete.xpt (package-manifest, 58).
Error: package error or possible missing or unnecessary file: bin/components/autoconfig.xpt (package-manifest, 59).
Error: package error or possible missing or unnecessary file: bin/components/caps.xpt (package-manifest, 62).
Error: package error or possible missing or unnecessary file: bin/components/chrome.xpt (package-manifest, 63).
Error: package error or possible missing or unnecessary file: bin/components/commandhandler.xpt (package-manifest, 64).
Error: package error or possible missing or unnecessary file: bin/components/commandlines.xpt (package-manifest, 65).
Error: package error or possible missing or unnecessary file: bin/components/composer.xpt (package-manifest, 66).
Error: package error or possible missing or unnecessary file: bin/components/content_base.xpt (package-manifest, 67).
Error: package error or possible missing or unnecessary file: bin/components/content_events.xpt (package-manifest, 68).
Error: package error or possible missing or unnecessary file: bin/components/content_canvas.xpt (package-manifest, 69).
Error: package error or possible missing or unnecessary file: bin/components/content_htmldoc.xpt (package-manifest, 70).
Error: package error or possible missing or unnecessary file: bin/components/content_html.xpt (package-manifest, 71).
Error: package error or possible missing or unnecessary file: bin/components/content_xslt.xpt (package-manifest, 72).
Error: package error or possible missing or unnecessary file: bin/components/content_xtf.xpt (package-manifest, 73).
Error: package error or possible missing or unnecessary file: bin/components/cookie.xpt (package-manifest, 74).
Error: package error or possible missing or unnecessary file: bin/components/directory.xpt (package-manifest, 75).
Error: package error or possible missing or unnecessary file: bin/components/docshell.xpt (package-manifest, 76).
Error: package error or possible missing or unnecessary file: bin/components/dom.xpt (package-manifest, 77).
Error: package error or possible missing or unnecessary file: bin/components/dom_apps.xpt (package-manifest, 78).
Error: package error or possible missing or unnecessary file: bin/components/dom_base.xpt (package-manifest, 79).
Error: package error or possible missing or unnecessary file: bin/components/dom_battery.xpt (package-manifest, 80).
Error: package error or possible missing or unnecessary file: bin/components/dom_canvas.xpt (package-manifest, 81).
Error: package error or possible missing or unnecessary file: bin/components/dom_contacts.xpt (package-manifest, 82).
Error: package error or possible missing or unnecessary file: bin/components/dom_core.xpt (package-manifest, 83).
Error: package error or possible missing or unnecessary file: bin/components/dom_css.xpt (package-manifest, 84).
Error: package error or possible missing or unnecessary file: bin/components/dom_events.xpt (package-manifest, 85).
Error: package error or possible missing or unnecessary file: bin/components/dom_geolocation.xpt (package-manifest, 86).
Error: package error or possible missing or unnecessary file: bin/components/dom_network.xpt (package-manifest, 87).
Error: package error or possible missing or unnecessary file: bin/components/dom_notification.xpt (package-manifest, 88).
Error: package error or possible missing or unnecessary file: bin/components/dom_html.xpt (package-manifest, 89).
Error: package error or possible missing or unnecessary file: bin/components/dom_indexeddb.xpt (package-manifest, 90).
Error: package error or possible missing or unnecessary file: bin/components/dom_offline.xpt (package-manifest, 91).
Error: package error or possible missing or unnecessary file: bin/components/dom_json.xpt (package-manifest, 92).
Error: package error or possible missing or unnecessary file: bin/components/dom_power.xpt (package-manifest, 93).
Error: package error or possible missing or unnecessary file: bin/components/dom_range.xpt (package-manifest, 94).
Error: package error or possible missing or unnecessary file: bin/components/dom_sidebar.xpt (package-manifest, 95).
Error: package error or possible missing or unnecessary file: bin/components/dom_sms.xpt (package-manifest, 96).
Error: package error or possible missing or unnecessary file: bin/components/dom_storage.xpt (package-manifest, 97).
Error: package error or possible missing or unnecessary file: bin/components/dom_stylesheets.xpt (package-manifest, 98).
Error: package error or possible missing or unnecessary file: bin/components/dom_traversal.xpt (package-manifest, 99).
Error: package error or possible missing or unnecessary file: bin/components/dom_xbl.xpt (package-manifest, 100).
Error: package error or possible missing or unnecessary file: bin/components/dom_xpath.xpt (package-manifest, 101).
Error: package error or possible missing or unnecessary file: bin/components/dom_xul.xpt (package-manifest, 102).
Error: package error or possible missing or unnecessary file: bin/components/dom_loadsave.xpt (package-manifest, 103).
Error: package error or possible missing or unnecessary file: bin/components/downloads.xpt (package-manifest, 104).
Error: package error or possible missing or unnecessary file: bin/components/editor.xpt (package-manifest, 105).
Error: package error or possible missing or unnecessary file: bin/components/embed_base.xpt (package-manifest, 106).
Error: package error or possible missing or unnecessary file: bin/components/extensions.xpt (package-manifest, 107).
Error: package error or possible missing or unnecessary file: bin/components/exthandler.xpt (package-manifest, 108).
Error: package error or possible missing or unnecessary file: bin/components/exthelper.xpt (package-manifest, 109).
Error: package error or possible missing or unnecessary file: bin/components/fastfind.xpt (package-manifest, 110).
Error: package error or possible missing or unnecessary file: bin/components/feeds.xpt (package-manifest, 111).
Error: package error or possible missing or unnecessary file: bin/components/filepicker.xpt (package-manifest, 112).
Error: package error or possible missing or unnecessary file: bin/components/find.xpt (package-manifest, 113).
Error: package error or possible missing or unnecessary file: bin/components/gfx.xpt (package-manifest, 115).
Error: package error or possible missing or unnecessary file: bin/components/html5.xpt (package-manifest, 116).
Error: package error or possible missing or unnecessary file: bin/components/htmlparser.xpt (package-manifest, 117).
Error: package error or possible missing or unnecessary file: bin/components/imglib2.xpt (package-manifest, 118).
Error: package error or possible missing or unnecessary file: bin/components/imgicon.xpt (package-manifest, 119).
Error: package error or possible missing or unnecessary file: bin/components/inspector.xpt (package-manifest, 120).
Error: package error or possible missing or unnecessary file: bin/components/intl.xpt (package-manifest, 121).
Error: package error or possible missing or unnecessary file: bin/components/jar.xpt (package-manifest, 122).
Error: package error or possible missing or unnecessary file: bin/components/jsdservice.xpt (package-manifest, 123).
Error: package error or possible missing or unnecessary file: bin/components/jsdebugger.xpt (package-manifest, 124).
Error: package error or possible missing or unnecessary file: bin/components/jsinspector.xpt (package-manifest, 125).
Error: package error or possible missing or unnecessary file: bin/components/layout_base.xpt (package-manifest, 126).
Error: package error or possible missing or unnecessary file: bin/components/layout_forms.xpt (package-manifest, 127).
Error: package error or possible missing or unnecessary file: bin/components/layout_printing.xpt (package-manifest, 128).
Error: package error or possible missing or unnecessary file: bin/components/layout_xul_tree.xpt (package-manifest, 129).
Error: package error or possible missing or unnecessary file: bin/components/layout_xul.xpt (package-manifest, 130).
Error: package error or possible missing or unnecessary file: bin/components/locale.xpt (package-manifest, 131).
Error: package error or possible missing or unnecessary file: bin/components/lwbrk.xpt (package-manifest, 132).
Error: package error or possible missing or unnecessary file: bin/components/mimetype.xpt (package-manifest, 134).
Error: package error or possible missing or unnecessary file: bin/components/mozfind.xpt (package-manifest, 135).
Error: package error or possible missing or unnecessary file: bin/components/necko_about.xpt (package-manifest, 136).
Error: package error or possible missing or unnecessary file: bin/components/necko_cache.xpt (package-manifest, 137).
Error: package error or possible missing or unnecessary file: bin/components/necko_cookie.xpt (package-manifest, 138).
Error: package error or possible missing or unnecessary file: bin/components/necko_dns.xpt (package-manifest, 139).
Error: package error or possible missing or unnecessary file: bin/components/necko_file.xpt (package-manifest, 140).
Error: package error or possible missing or unnecessary file: bin/components/necko_ftp.xpt (package-manifest, 141).
Error: package error or possible missing or unnecessary file: bin/components/necko_http.xpt (package-manifest, 142).
Error: package error or possible missing or unnecessary file: bin/components/necko_res.xpt (package-manifest, 143).
Error: package error or possible missing or unnecessary file: bin/components/necko_socket.xpt (package-manifest, 144).
Error: package error or possible missing or unnecessary file: bin/components/necko_strconv.xpt (package-manifest, 145).
Error: package error or possible missing or unnecessary file: bin/components/necko_viewsource.xpt (package-manifest, 146).
Error: package error or possible missing or unnecessary file: bin/components/necko_wifi.xpt (package-manifest, 147).
Error: package error or possible missing or unnecessary file: bin/components/necko_wyciwyg.xpt (package-manifest, 148).
Error: package error or possible missing or unnecessary file: bin/components/necko.xpt (package-manifest, 149).
Error: package error or possible missing or unnecessary file: bin/components/loginmgr.xpt (package-manifest, 150).
Error: package error or possible missing or unnecessary file: bin/components/parentalcontrols.xpt (package-manifest, 151).
Error: package error or possible missing or unnecessary file: bin/components/places.xpt (package-manifest, 152).
Error: package error or possible missing or unnecessary file: bin/components/plugin.xpt (package-manifest, 153).
Error: package error or possible missing or unnecessary file: bin/components/pref.xpt (package-manifest, 154).
Error: package error or possible missing or unnecessary file: bin/components/prefetch.xpt (package-manifest, 155).
Error: package error or possible missing or unnecessary file: bin/components/profile.xpt (package-manifest, 156).
Error: package error or possible missing or unnecessary file: bin/components/profiler.xpt (package-manifest, 157).
Error: package error or possible missing or unnecessary file: bin/components/rdf.xpt (package-manifest, 158).
Error: package error or possible missing or unnecessary file: bin/components/satchel.xpt (package-manifest, 159).
Error: package error or possible missing or unnecessary file: bin/components/saxparser.xpt (package-manifest, 160).
Error: package error or possible missing or unnecessary file: bin/components/services-crypto-component.xpt (package-manifest, 162).
Error: package error or possible missing or unnecessary file: bin/components/shistory.xpt (package-manifest, 164).
Error: package error or possible missing or unnecessary file: bin/components/spellchecker.xpt (package-manifest, 165).
Error: package error or possible missing or unnecessary file: bin/components/storage.xpt (package-manifest, 166).
Error: package error or possible missing or unnecessary file: bin/components/toolkitprofile.xpt (package-manifest, 167).
Error: package error or possible missing or unnecessary file: bin/components/toolkitremote.xpt (package-manifest, 168).
Error: package error or possible missing or unnecessary file: bin/components/txtsvc.xpt (package-manifest, 169).
Error: package error or possible missing or unnecessary file: bin/components/txmgr.xpt (package-manifest, 170).
Error: package error or possible missing or unnecessary file: bin/components/uconv.xpt (package-manifest, 171).
Error: package error or possible missing or unnecessary file: bin/components/unicharutil.xpt (package-manifest, 172).
Error: package error or possible missing or unnecessary file: bin/components/update.xpt (package-manifest, 173).
Error: package error or possible missing or unnecessary file: bin/components/uriloader.xpt (package-manifest, 174).
Error: package error or possible missing or unnecessary file: bin/components/urlformatter.xpt (package-manifest, 175).
Error: package error or possible missing or unnecessary file: bin/components/webBrowser_core.xpt (package-manifest, 176).
Error: package error or possible missing or unnecessary file: bin/components/webbrowserpersist.xpt (package-manifest, 177).
Error: package error or possible missing or unnecessary file: bin/components/widget.xpt (package-manifest, 178).
Error: package error or possible missing or unnecessary file: bin/components/windowds.xpt (package-manifest, 179).
Error: package error or possible missing or unnecessary file: bin/components/windowwatcher.xpt (package-manifest, 180).
Error: package error or possible missing or unnecessary file: bin/components/xpcom_base.xpt (package-manifest, 181).
Error: package error or possible missing or unnecessary file: bin/components/xpcom_system.xpt (package-manifest, 182).
Error: package error or possible missing or unnecessary file: bin/components/xpcom_components.xpt (package-manifest, 183).
Error: package error or possible missing or unnecessary file: bin/components/xpcom_ds.xpt (package-manifest, 184).
Error: package error or possible missing or unnecessary file: bin/components/xpcom_io.xpt (package-manifest, 185).
Error: package error or possible missing or unnecessary file: bin/components/xpcom_threads.xpt (package-manifest, 186).
Error: package error or possible missing or unnecessary file: bin/components/xpcom_xpti.xpt (package-manifest, 187).
Error: package error or possible missing or unnecessary file: bin/components/xpconnect.xpt (package-manifest, 188).
Error: package error or possible missing or unnecessary file: bin/components/xulapp.xpt (package-manifest, 189).
Error: package error or possible missing or unnecessary file: bin/components/xul.xpt (package-manifest, 190).
Error: package error or possible missing or unnecessary file: bin/components/xuldoc.xpt (package-manifest, 191).
Error: package error or possible missing or unnecessary file: bin/components/xultmpl.xpt (package-manifest, 192).
Error: package error or possible missing or unnecessary file: bin/components/zipwriter.xpt (package-manifest, 193).
Error: package error or possible missing or unnecessary file: bin/components/telemetry.xpt (package-manifest, 194).
Error: package error or possible missing or unnecessary file: bin/components/ConsoleAPI.manifest (package-manifest, 197).
Error: package error or possible missing or unnecessary file: bin/components/ConsoleAPI.js (package-manifest, 198).
Error: package error or possible missing or unnecessary file: bin/components/FeedProcessor.manifest (package-manifest, 199).
Error: package error or possible missing or unnecessary file: bin/components/FeedProcessor.js (package-manifest, 200).
Error: package error or possible missing or unnecessary file: bin/components/toolkitsearch.manifest (package-manifest, 216).
Error: package error or possible missing or unnecessary file: bin/components/nsSearchService.js (package-manifest, 217).
Error: package error or possible missing or unnecessary file: bin/components/nsSearchSuggestions.js (package-manifest, 218).
Error: package error or possible missing or unnecessary file: bin/components/passwordmgr.manifest (package-manifest, 219).
Error: package error or possible missing or unnecessary file: bin/components/nsLoginInfo.js (package-manifest, 220).
Error: package error or possible missing or unnecessary file: bin/components/nsLoginManager.js (package-manifest, 221).
Error: package error or possible missing or unnecessary file: bin/components/nsLoginManagerPrompter.js (package-manifest, 222).
Error: package error or possible missing or unnecessary file: bin/components/storage-Legacy.js (package-manifest, 223).
Error: package error or possible missing or unnecessary file: bin/components/storage-mozStorage.js (package-manifest, 224).
Error: package error or possible missing or unnecessary file: bin/components/crypto-SDR.js (package-manifest, 225).
Error: package error or possible missing or unnecessary file: bin/components/jsconsole-clhandler.manifest (package-manifest, 226).
Error: package error or possible missing or unnecessary file: bin/components/jsconsole-clhandler.js (package-manifest, 227).
Error: package error or possible missing or unnecessary file: bin/components/nsFilePicker.manifest (package-manifest, 228).
Error: package error or possible missing or unnecessary file: bin/components/nsFilePicker.js (package-manifest, 229).
Error: package error or possible missing or unnecessary file: bin/components/nsHelperAppDlg.manifest (package-manifest, 230).
Error: package error or possible missing or unnecessary file: bin/components/nsHelperAppDlg.js (package-manifest, 231).
Error: package error or possible missing or unnecessary file: bin/components/nsDownloadManagerUI.manifest (package-manifest, 232).
Error: package error or possible missing or unnecessary file: bin/components/nsDownloadManagerUI.js (package-manifest, 233).
Error: package error or possible missing or unnecessary file: bin/components/nsProxyAutoConfig.manifest (package-manifest, 234).
Error: package error or possible missing or unnecessary file: bin/components/nsProxyAutoConfig.js (package-manifest, 235).
Error: package error or possible missing or unnecessary file: bin/components/NetworkGeolocationProvider.manifest (package-manifest, 236).
Error: package error or possible missing or unnecessary file: bin/components/NetworkGeolocationProvider.js (package-manifest, 237).
Error: package error or possible missing or unnecessary file: bin/components/GPSDGeolocationProvider.manifest (package-manifest, 238).
Error: package error or possible missing or unnecessary file: bin/components/GPSDGeolocationProvider.js (package-manifest, 239).
Error: package error or possible missing or unnecessary file: bin/components/extensions.manifest (package-manifest, 242).
Error: package error or possible missing or unnecessary file: bin/components/addonManager.js (package-manifest, 243).
Error: package error or possible missing or unnecessary file: bin/components/amContentHandler.js (package-manifest, 244).
Error: package error or possible missing or unnecessary file: bin/components/amWebInstallListener.js (package-manifest, 245).
Error: package error or possible missing or unnecessary file: bin/components/nsBlocklistService.js (package-manifest, 246).
Error: package error or possible missing or unnecessary file: bin/components/nsUpdateTimerManager.manifest (package-manifest, 247).
Error: package error or possible missing or unnecessary file: bin/components/nsUpdateTimerManager.js (package-manifest, 248).
Error: package error or possible missing or unnecessary file: bin/components/pluginGlue.manifest (package-manifest, 249).
Error: package error or possible missing or unnecessary file: bin/components/nsURLFormatter.manifest (package-manifest, 253).
Error: package error or possible missing or unnecessary file: bin/components/nsURLFormatter.js (package-manifest, 254).
Error: package error or possible missing or unnecessary file: bin/components/txEXSLTRegExFunctions.manifest (package-manifest, 256).
Error: package error or possible missing or unnecessary file: bin/components/txEXSLTRegExFunctions.js (package-manifest, 257).
Error: package error or possible missing or unnecessary file: bin/components/toolkitplaces.manifest (package-manifest, 258).
Error: package error or possible missing or unnecessary file: bin/components/nsLivemarkService.js (package-manifest, 259).
Error: package error or possible missing or unnecessary file: bin/components/nsTaggingService.js (package-manifest, 260).
Error: package error or possible missing or unnecessary file: bin/components/nsPlacesAutoComplete.manifest (package-manifest, 261).
Error: package error or possible missing or unnecessary file: bin/components/nsPlacesAutoComplete.js (package-manifest, 262).
Error: package error or possible missing or unnecessary file: bin/components/nsPlacesExpiration.js (package-manifest, 263).
Error: package error or possible missing or unnecessary file: bin/components/PlacesCategoriesStarter.js (package-manifest, 265).
Error: package error or possible missing or unnecessary file: bin/components/nsDefaultCLH.manifest (package-manifest, 267).
Error: package error or possible missing or unnecessary file: bin/components/nsDefaultCLH.js (package-manifest, 268).
Error: package error or possible missing or unnecessary file: bin/components/nsContentPrefService.manifest (package-manifest, 269).
Error: package error or possible missing or unnecessary file: bin/components/nsContentPrefService.js (package-manifest, 270).
Error: package error or possible missing or unnecessary file: bin/components/nsContentDispatchChooser.manifest (package-manifest, 271).
Error: package error or possible missing or unnecessary file: bin/components/nsContentDispatchChooser.js (package-manifest, 272).
Error: package error or possible missing or unnecessary file: bin/components/nsHandlerService.manifest (package-manifest, 273).
Error: package error or possible missing or unnecessary file: bin/components/nsHandlerService.js (package-manifest, 274).
Error: package error or possible missing or unnecessary file: bin/components/nsWebHandlerApp.manifest (package-manifest, 275).
Error: package error or possible missing or unnecessary file: bin/components/nsWebHandlerApp.js (package-manifest, 276).
Error: package error or possible missing or unnecessary file: bin/components/nsBadCertHandler.manifest (package-manifest, 277).
Error: package error or possible missing or unnecessary file: bin/components/nsBadCertHandler.js (package-manifest, 278).
Error: package error or possible missing or unnecessary file: bin/components/satchel.manifest (package-manifest, 279).
Error: package error or possible missing or unnecessary file: bin/components/nsFormAutoComplete.js (package-manifest, 280).
Error: package error or possible missing or unnecessary file: bin/components/nsFormHistory.js (package-manifest, 281).
Error: package error or possible missing or unnecessary file: bin/components/nsInputListAutoComplete.js (package-manifest, 282).
Error: package error or possible missing or unnecessary file: bin/components/contentSecurityPolicy.manifest (package-manifest, 283).
Error: package error or possible missing or unnecessary file: bin/components/contentSecurityPolicy.js (package-manifest, 284).
Error: package error or possible missing or unnecessary file: bin/components/contentAreaDropListener.manifest (package-manifest, 285).
Error: package error or possible missing or unnecessary file: bin/components/contentAreaDropListener.js (package-manifest, 286).
Error: package error or possible missing or unnecessary file: bin/components/libdbusservice.so (package-manifest, 291).
Error: package error or possible missing or unnecessary file: bin/components/nsINIProcessor.manifest (package-manifest, 292).
Error: package error or possible missing or unnecessary file: bin/components/nsINIProcessor.js (package-manifest, 293).
Error: package error or possible missing or unnecessary file: bin/components/nsPrompter.manifest (package-manifest, 294).
Error: package error or possible missing or unnecessary file: bin/components/nsPrompter.js (package-manifest, 295).
Error: package error or possible missing or unnecessary file: bin/components/TelemetryPing.js (package-manifest, 298).
Error: package error or possible missing or unnecessary file: bin/components/TelemetryPing.manifest (package-manifest, 299).
Error: package error or possible missing or unnecessary file: bin/components/messageWakeupService.js (package-manifest, 300).
Error: package error or possible missing or unnecessary file: bin/components/messageWakeupService.manifest (package-manifest, 301).
Error: package error or possible missing or unnecessary file: bin/components/Webapps.js (package-manifest, 302).
Error: package error or possible missing or unnecessary file: bin/components/Webapps.manifest (package-manifest, 303).
Error: package error or possible missing or unnecessary file: bin/components/ContactManager.js (package-manifest, 305).
Error: package error or possible missing or unnecessary file: bin/components/ContactManager.manifest (package-manifest, 306).
Error: package error or possible missing or unnecessary file: bin/components/nsURLClassifier.manifest (package-manifest, 314).
Error: package error or possible missing or unnecessary file: bin/components/nsUrlClassifierHashCompleter.js (package-manifest, 315).
Error: package error or possible missing or unnecessary file: bin/components/nsUrlClassifierListManager.js (package-manifest, 316).
Error: package error or possible missing or unnecessary file: bin/components/nsUrlClassifierLib.js (package-manifest, 317).
Error: package error or possible missing or unnecessary file: bin/components/url-classifier.xpt (package-manifest, 318).
Error: package error or possible missing or unnecessary file: bin/components/libmozgnome.so (package-manifest, 321).
Error: package error or possible missing or unnecessary file: bin/chrome/toolkit (package-manifest, 331).
Error: package error or possible missing or unnecessary file: bin/chrome/toolkit.manifest (package-manifest, 332).
Error: package error or possible missing or unnecessary file: bin/greprefs.js (package-manifest, 348).
Error: package error or possible missing or unnecessary file: bin/defaults/autoconfig/platform.js (package-manifest, 349).
Error: package error or possible missing or unnecessary file: bin/defaults/autoconfig/prefcalls.js (package-manifest, 350).
Error: package error or possible missing or unnecessary file: bin/res/EditorOverride.css (package-manifest, 355).
Error: package error or possible missing or unnecessary file: bin/res/contenteditable.css (package-manifest, 356).
Error: package error or possible missing or unnecessary file: bin/res/designmode.css (package-manifest, 357).
Error: package error or possible missing or unnecessary file: bin/res/TopLevelImageDocument.css (package-manifest, 358).
Error: package error or possible missing or unnecessary file: bin/res/TopLevelVideoDocument.css (package-manifest, 359).
Error: package error or possible missing or unnecessary file: bin/res/table-add-column-after-active.gif (package-manifest, 360).
Error: package error or possible missing or unnecessary file: bin/res/table-add-column-after-hover.gif (package-manifest, 361).
Error: package error or possible missing or unnecessary file: bin/res/table-add-column-after.gif (package-manifest, 362).
Error: package error or possible missing or unnecessary file: bin/res/table-add-column-before-active.gif (package-manifest, 363).
Error: package error or possible missing or unnecessary file: bin/res/table-add-column-before-hover.gif (package-manifest, 364).
Error: package error or possible missing or unnecessary file: bin/res/table-add-column-before.gif (package-manifest, 365).
Error: package error or possible missing or unnecessary file: bin/res/table-add-row-after-active.gif (package-manifest, 366).
Error: package error or possible missing or unnecessary file: bin/res/table-add-row-after-hover.gif (package-manifest, 367).
Error: package error or possible missing or unnecessary file: bin/res/table-add-row-after.gif (package-manifest, 368).
Error: package error or possible missing or unnecessary file: bin/res/table-add-row-before-active.gif (package-manifest, 369).
Error: package error or possible missing or unnecessary file: bin/res/table-add-row-before-hover.gif (package-manifest, 370).
Error: package error or possible missing or unnecessary file: bin/res/table-add-row-before.gif (package-manifest, 371).
Error: package error or possible missing or unnecessary file: bin/res/table-remove-column-active.gif (package-manifest, 372).
Error: package error or possible missing or unnecessary file: bin/res/table-remove-column-hover.gif (package-manifest, 373).
Error: package error or possible missing or unnecessary file: bin/res/table-remove-column.gif (package-manifest, 374).
Error: package error or possible missing or unnecessary file: bin/res/table-remove-row-active.gif (package-manifest, 375).
Error: package error or possible missing or unnecessary file: bin/res/table-remove-row-hover.gif (package-manifest, 376).
Error: package error or possible missing or unnecessary file: bin/res/table-remove-row.gif (package-manifest, 377).
Error: package error or possible missing or unnecessary file: bin/res/grabber.gif (package-manifest, 378).
Error: package error or possible missing or unnecessary file: bin/res/langGroups.properties (package-manifest, 382).
Error: package error or possible missing or unnecessary file: bin/res/language.properties (package-manifest, 383).
Error: package error or possible missing or unnecessary file: bin/res/svg.css (package-manifest, 387).
Error: package error or possible missing or unnecessary file: bin/components/dom_svg.xpt (package-manifest, 388).
Error: package error or possible missing or unnecessary file: bin/components/dom_smil.xpt (package-manifest, 389).
Error: package error or possible missing or unnecessary file: bin/libfreebl3.so (package-manifest, 396).
Error: package error or possible missing or unnecessary file: bin/libnss3.so (package-manifest, 397).
Error: package error or possible missing or unnecessary file: bin/libnssckbi.so (package-manifest, 398).
Error: package error or possible missing or unnecessary file: bin/libnssdbm3.so (package-manifest, 399).
Error: package error or possible missing or unnecessary file: bin/libnssutil3.so (package-manifest, 400).
Error: package error or possible missing or unnecessary file: bin/libsmime3.so (package-manifest, 401).
Error: package error or possible missing or unnecessary file: bin/libsoftokn3.so (package-manifest, 402).
Error: package error or possible missing or unnecessary file: bin/libssl3.so (package-manifest, 403).
Error: package error or possible missing or unnecessary file: bin/chrome/pippki (package-manifest, 404).
Error: package error or possible missing or unnecessary file: bin/chrome/pippki.manifest (package-manifest, 405).
Error: package error or possible missing or unnecessary file: bin/components/pipboot.xpt (package-manifest, 406).
Error: package error or possible missing or unnecessary file: bin/components/pipnss.xpt (package-manifest, 407).
Error: package error or possible missing or unnecessary file: bin/components/pippki.xpt (package-manifest, 408).
Error: found error(s) while packaging, see above for details.
Comment 1 Ted Mielczarek [:ted.mielczarek] 2012-03-30 05:41:55 PDT
This probably just needs a big #ifndef LIBXUL_SDK section.
Comment 2 Takanori MATSUURA 2012-04-22 10:44:58 PDT
Created attachment 617328 [details] [diff] [review]
Exclude listing up files which are already bundled with xulrunner

Anyway this patch excludes listing up files which cause error.
Comment 3 Justin Wood (:Callek) 2012-04-22 12:36:06 PDT
My suggestion here (you or ted can choose to agree) is to instead just mark "Firefox on XULRunner" as a non-fatal packaging, and let it warn instead.

Firefox on XULRunner is not the 'official' way to ship, and my opinion is that this patch is just making the package-manifest harder to comprehend in most normal cases.
Comment 4 Takanori MATSUURA 2012-04-22 16:27:05 PDT
Created attachment 617356 [details] [diff] [review]
Only warning for files which are already bundled with xulrunner.

(In reply to Justin Wood (:Callek) from comment #3)
> My suggestion here (you or ted can choose to agree) is to instead just mark
> "Firefox on XULRunner" as a non-fatal packaging, and let it warn instead.

I can agree with you and generate another patch with your suggestion.
Comment 5 Ted Mielczarek [:ted.mielczarek] 2012-04-24 11:07:53 PDT
Comment on attachment 617356 [details] [diff] [review]
Only warning for files which are already bundled with xulrunner.

Review of attachment 617356 [details] [diff] [review]:
-----------------------------------------------------------------

This seems like the simplest solution.
Comment 6 Takanori MATSUURA 2012-04-24 11:36:13 PDT
Note:
This should be fixed not only in mozilla-central but also mozilla-aurora (14).
Comment 8 Takanori MATSUURA 2012-04-24 17:05:01 PDT
(In reply to Ryan VanderMeulen from comment #7)
> https://hg.mozilla.org/integration/mozilla-inbound/rev/91710a945b44

Ryan,
as you can see, attachment #617328 [details] [diff] [review] is r-.
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-04-24 17:09:27 PDT
Sorry, tunnel vision on my part. Backed out.
https://hg.mozilla.org/integration/mozilla-inbound/rev/931678f97b3a
Comment 10 :Ehsan Akhgari (busy, don't ask for review please) 2012-04-25 07:30:16 PDT
https://hg.mozilla.org/mozilla-central/rev/91710a945b44
Comment 11 :Ehsan Akhgari (busy, don't ask for review please) 2012-04-25 07:30:30 PDT
https://hg.mozilla.org/mozilla-central/rev/626908b138b3
Comment 12 :Ehsan Akhgari (busy, don't ask for review please) 2012-04-25 07:34:57 PDT
Backed out: https://hg.mozilla.org/mozilla-central/rev/931678f97b3a
Comment 13 Ryan VanderMeulen [:RyanVM] 2012-04-25 15:31:50 PDT
(In reply to Takanori MATSUURA from comment #8)
> (In reply to Ryan VanderMeulen from comment #7)
> > https://hg.mozilla.org/integration/mozilla-inbound/rev/91710a945b44
> 
> Ryan,
> as you can see, attachment #617328 [details] [diff] [review] [diff] [review] is r-.

Is the landing of attachment 617356 [details] [diff] [review] enough to call this fixed, or is there more to do here?
Comment 14 Takanori MATSUURA 2012-04-25 19:28:15 PDT
I'm a little confusing.
Why this bug is REOPENED?

Is there any build failure after pushing
https://hg.mozilla.org/mozilla-central/rev/91710a945b44
and
https://hg.mozilla.org/mozilla-central/rev/626908b138b3 (and https://hg.mozilla.org/mozilla-central/rev/931678f97b3a which backed out this checkin)?
Comment 15 Takanori MATSUURA 2012-04-25 19:30:39 PDT
(In reply to Takanori MATSUURA from comment #14)
> Is there any build failure after pushing
> https://hg.mozilla.org/mozilla-central/rev/91710a945b44
> and
> https://hg.mozilla.org/mozilla-central/rev/626908b138b3 (and
> https://hg.mozilla.org/mozilla-central/rev/931678f97b3a which backed out
> this checkin)?

Is there any build failure after pushing
https://hg.mozilla.org/mozilla-central/rev/626908b138b3
and
https://hg.mozilla.org/mozilla-central/rev/91710a945b44 (and https://hg.mozilla.org/mozilla-central/rev/931678f97b3a which backed out this checkin)?
Comment 16 Ryan VanderMeulen [:RyanVM] 2012-04-25 19:37:32 PDT
It was reopened because it was unclear if the work in this bug is done or not (see comment 13). If it's done, please resolve it.
Comment 17 Takanori MATSUURA 2012-04-26 02:01:11 PDT
(In reply to Ryan VanderMeulen from comment #13)
> Is the landing of attachment 617356 [details] [diff] [review] enough to call
> this fixed, or is there more to do here?

There's no extra patch needed.
Thanks.
Comment 18 Takanori MATSUURA 2012-04-26 02:27:37 PDT
Same fix is required for mozilla-aurora (14).
Comment 19 Serge Gautherie (:sgautherie) 2012-04-26 02:34:39 PDT
(In reply to Takanori MATSUURA from comment #18)
> Same fix is required for mozilla-aurora (14).

You want to request patch approval, not reopen the bug.
Comment 20 Takanori MATSUURA 2012-04-26 02:40:20 PDT
Comment on attachment 617356 [details] [diff] [review]
Only warning for files which are already bundled with xulrunner.

[Approval Request Comment]
Regression caused by (bug #): 713132
User impact if declined: Users cannot build Firefox on top of XULRunner.
Testing completed (on m-c, etc.): Yes.
Risk to taking this patch (and alternatives if risky): Low. 
String changes made by this patch: No.
Comment 21 Alex Keybl [:akeybl] 2012-04-30 10:49:38 PDT
Comment on attachment 617356 [details] [diff] [review]
Only warning for files which are already bundled with xulrunner.

[Triage Comment]
Low risk patch in support of local builds. It's early in the cycle, so approving for Aurora 14.
Comment 22 Lukas Blakk [:lsblakk] use ?needinfo 2012-05-07 16:06:46 PDT
Please land this on the aurora branch.
Comment 23 :Ehsan Akhgari (busy, don't ask for review please) 2012-05-08 08:35:45 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/0c2d3c36a43e

Note You need to log in before you can comment on or make changes to this bug.